import { rgb as e } from "../../d3-color/src/color.js";
import "./basis.js";
import "./basisClosed.js";
import t, { gamma as n } from "./color.js";
//#region ../../node_modules/d3-interpolate/src/rgb.js
var r = (function r(i) {
	var a = n(i);
	function o(n, r) {
		var i = a((n = e(n)).r, (r = e(r)).r), o = a(n.g, r.g), s = a(n.b, r.b), c = t(n.opacity, r.opacity);
		return function(e) {
			return n.r = i(e), n.g = o(e), n.b = s(e), n.opacity = c(e), n + "";
		};
	}
	return o.gamma = r, o;
})(1);
//#endregion
export { r as default };
